      SUBROUTINE SUB_MEN
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      CHARACTER*1000 STRMEN
      CHARACTER*6 PINF 
      CHARACTER*30 PROCES 
      COMMON /PROCES/ NSUB,PROCES

      STRMEN='%Subprocess menu !%'
      NWRT=20
      DO 40 NPR=1,NPRC() 
      
      DO 20 N =1,NIN()
      STRMEN(NWRT:NWRT+2) = PINF(NPR,N)          
 20   NWRT=NWRT+3

      STRMEN(NWRT:NWRT+3) =' -> '
      NWRT=NWRT+4 
      DO 30 N = 1,NOUT() 
      STRMEN(NWRT:NWRT+2) = PINF(NPR,N+NIN())
 30   NWRT=NWRT+3

      STRMEN(NWRT:NWRT)='!'
 40   NWRT=NWRT+1

      STRMEN(NWRT:NWRT+1) = '!!' 

      CALL CLRSCR     
      MODE=MENU(STRMEN,'f_2')
      IF (MODE.EQ.0) RETURN
      NSUB=MODE
      CALL WRTPRC
      DUMMY=STRFUN(0,0.D0)
      RETURN
      END
